> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get hierarchy

> Retrieve the hierarchy of folders in the workspace.



## OpenAPI

````yaml get /workspace/folders/hierarchy
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspace/folders/hierarchy:
    get:
      tags:
        - Folder
      description: Retrieve the hierarchy of folders in the workspace.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      responses:
        '200':
          description: Folder hierarchy retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FolderHierarchy'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    FolderHierarchy:
      type: array
      items:
        $ref: '#/components/schemas/FolderHierarchyItem'
      description: An array of folder hierarchy items.
    FolderHierarchyItem:
      type: object
      description: Represents an item in the folder hierarchy.
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the folder item.
        file_location:
          type: string
          description: The file location of the folder item.
        parent_id:
          type: string
          format: uuid
          nullable: true
          description: >-
            The unique identifier of the parent folder item. Can be null if it
            is a root item.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````